#### Description:

This function deletes the current FITS card from a FitsChan. The current card may be selected using the Card attribute (if its index is known) or by using astFindFits (if only the FITS keyword is known).

After deletion, the following card becomes the current card.

#### Synopsis

void astDelFits( AstFitsChan ∗this )

#### Parameters:

##### this

Pointer to the FitsChan.

#### Notes:

- This function returns without action if the FitsChan is initially positioned at the `"` end-of-file`"` (i.e. if the Card attribute exceeds the number of cards in the FitsChan).

- If there are no subsequent cards in the FitsChan, then the Card attribute is left pointing at the `"` end-of-file`"` after deletion (i.e. is set to one more than the number of cards in the FitsChan).

Copyright (C) 2021 East Asian Observatory